part of 'sign_up_bloc.dart';

sealed class SignUpEvent extends Equatable {
  const SignUpEvent();
}

final class PasswordVisibilityEvent extends SignUpEvent {
  const PasswordVisibilityEvent();

  @override
  List<Object?> get props => [];
}

final class OnInputEnterEvent extends SignUpEvent {
  final String login;
  final String fullName;

  const OnInputEnterEvent({required this.login, required this.fullName});

  @override
  List<Object?> get props => [login, fullName];
}

final class SubmitEvent extends SignUpEvent {
  final String login;
  final String fullName;

  const SubmitEvent({required this.login, required this.fullName});

  @override
  List<Object?> get props => [login, fullName];
}
